Agents
Get an agent (Preview)
Preview · Available to selected organizations. Returns an agent with its draft, its current revision, and its newest published version number.
Returns an agent with its draft, its current revision, and its newest published version number.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^agt_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents/string"{ "id": "string", "name": "string", "namespaceId": "string", "revision": "string", "draft": { "instructions": "string", "knowledge": "string", "endpointIds": [ "string" ], "integrationIds": [ "string" ], "mode": "live", "model": "standard", "approvalPolicy": "toolActions", "workingHours": { "timeZone": "string", "ranges": [ { "day": "monday", "opens": "string", "closes": "string" } ] }, "takeoverTimeoutMinutes": 1 }, "publishedVersion": -9007199254740991, "publishedAt": "string", "createdAt": "string", "updatedAt": "string"}Related documentation
Create an agent (Preview)
Preview · Available to selected organizations. Creates an agent with a draft and returns it with status 201.
Get a published agent version (Preview)
Preview · Available to selected organizations. Returns the immutable definition of one published version. Use this endpoint to get a published agent version through the Samva email API.